Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.caff.maze
Enum MazePainter.PaintObjectType

    java.lang.Object
      java.lang.Enum<MazePainter.PaintObjectType>
          de.caff.maze.MazePainter.PaintObjectType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MazePainter.PaintObjectType>

Enclosing interface:
  MazePainter

    public static enum MazePainter.PaintObjectType

extends java.lang.Enum<MazePainter.PaintObjectType>

The current state of painting.

Enum Constant Summary
`Background` Painting the background.
`CellBorders` Painting the cell borders.
`InnerWalls` Painting the inner cell borders.
`OuterWalls` Painting the outer cell borders.
`Solution` Painting the solution.
`WayEnd` Painting the way end.
`WayStart` Painting the way start.

Method Summary
`static MazePainter.PaintObjectType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MazePainter.PaintObjectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Background

    public static final MazePainter.PaintObjectType Background

  Painting the background.

### WayStart

    public static final MazePainter.PaintObjectType WayStart

  Painting the way start.

### WayEnd

    public static final MazePainter.PaintObjectType WayEnd

  Painting the way end.

### Solution

    public static final MazePainter.PaintObjectType Solution

  Painting the solution.

### CellBorders

    public static final MazePainter.PaintObjectType CellBorders

  Painting the cell borders.

### InnerWalls

    public static final MazePainter.PaintObjectType InnerWalls

  Painting the inner cell borders.

### OuterWalls

    public static final MazePainter.PaintObjectType OuterWalls

  Painting the outer cell borders.

Method Detail

### values

    public static final MazePainter.PaintObjectType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MazePainter.PaintObjectType c : MazePainter.PaintObjectType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MazePainter.PaintObjectType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD